ランタイム: Mix::Scene::IParticleProcessor Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IParticleProcessor Class Referenceabstract

パーティクルプロセッサーインターフェース More...

`#include <IParticleProcessor.h>`

Inheritance diagram for Mix::Scene::IParticleProcessor:
[legend]
Collaboration diagram for Mix::Scene::IParticleProcessor:
[legend]

## Classes

struct | FACE
| フェイス構造体 More...

## Public Member Functions

virtual UInt32 | Internal_GetCount (void) const =0
| 発生している数を取得します More...
virtual void | Internal_Clear (void)=0
| クリアします More...
virtual UInt32 | Internal_Add (Mix::Scene::IParticleGenerator *pGenerator, UInt32 genCount)=0
| 追加します More...
virtual UInt32 | Internal_Add (const Mix::Matrix4x4 &worldMat, Mix::Scene::IParticleGenerator *pGenerator, UInt32 genCount)=0
| 追加します More...
virtual Boolean | Internal_Update (Float32 dt)=0
| 更新します More...
virtual Boolean | Internal_Duplicate (Mix::Scene::IParticleProcessor **ppProcessor, const wchar_t *pDebugName)=0
| 自身の複製を作成します More...
virtual UInt32 | Internal_GetFaceNum (void) const =0
| フェイスの数を取得します More...
virtual const Mix::Scene::IParticleProcessor::FACE * | Internal_GetFaces (void) const =0
| フェイスの配列を取得します More...
virtual void | Debug_Draw (const Mix::Matrix4x4 &worldMat, Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IParticleProcessor (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

パーティクルプロセッサーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IParticleProcessor::~IParticleProcessor | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::Scene::IParticleProcessor::Internal_GetCount | ( | void |  | ) | const

pure virtual

発生している数を取得します

Returns
  数を返します

virtual void Mix::Scene::IParticleProcessor::Internal_Clear | ( | void |  | ) |

pure virtual

クリアします

Note
  Mix::IParticle::Terminate( True ) で呼び出されます。

virtual UInt32 Mix::Scene::IParticleProcessor::Internal_Add | ( | Mix::Scene::IParticleGenerator * | pGenerator,
|  | UInt32 | genCount
| ) |  |

pure virtual

追加します

Parameters

  [in] | pGenerator | ジェネレーターを表す Mix::Scene::IParticleGenerator のポインタ
  [in] | genCount | 生成する数

Returns
  生成した数を返します

virtual UInt32 Mix::Scene::IParticleProcessor::Internal_Add | ( | const Mix::Matrix4x4 & | worldMat,
|  | Mix::Scene::IParticleGenerator * | pGenerator,
|  | UInt32 | genCount
| ) |  |

pure virtual

追加します

Parameters

  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス
  [in] | pGenerator | ジェネレーターを表す Mix::Scene::IParticleGenerator のポインタ
  [in] | genCount | 生成する数

Returns
  生成した数を返します

virtual Boolean Mix::Scene::IParticleProcessor::Internal_Update | ( | Float32 | dt | ) |

pure virtual

更新します

Parameters

  [in] | dt | デルタタイム( 秒単位 )

Returns
  更新した場合は True を返します

Note
  このメソッドにより、GetFaceNum GetFaces で返される値を更新します。

virtual Boolean Mix::Scene::IParticleProcessor::Internal_Duplicate | ( | Mix::Scene::IParticleProcessor ** | ppProcessor,
|  | const wchar_t * | pDebugName
| ) |  |

pure virtual

自身の複製を作成します

Parameters

  [out] | ppProcessor | 複製した自身を渡す Mix::Scene::IParticleProcessor インタフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  このメソッドは Mix::Scene::IParticle::Clone のフラグに Mix::Scene::IParticle::C_DUPLICATE_PROCESSOR が指定されている場合に呼び出されます。
  またこのメソッドでプロセッサーとその内部状態を複製してください。

virtual UInt32 Mix::Scene::IParticleProcessor::Internal_GetFaceNum | ( | void |  | ) | const

pure virtual

フェイスの数を取得します

Returns
  フェイスの数を返します

virtual const Mix::Scene::IParticleProcessor::FACE* Mix::Scene::IParticleProcessor::Internal_GetFaces | ( | void |  | ) | const

pure virtual

フェイスの配列を取得します

Returns
  フェイスを表す Mix::Scene::IParticleRenderer::FACE 構造体の配列を返します。

virtual void Mix::Scene::IParticleProcessor::Debug_Draw | ( | const Mix::Matrix4x4 & | worldMat,
|  | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer
| ) |  |

pure virtual

デバッグ描画をします

Parameters

  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス
  [in] | pPerspectiveRenderer | 描画に使用するパースペクティブレンダラーを表す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタ

The documentation for this class was generated from the following file:

- Mix/Scene/IParticleProcessor.h